org.keycloak.provider

## Class KeycloakDeploymentInfo

- java.lang.Object
- - org.keycloak.provider.KeycloakDeploymentInfo

-     public class KeycloakDeploymentInfo
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProvider(Class<? extends Spi> spi, ProviderFactory factory)`
    `static KeycloakDeploymentInfo` | `create()`
    `String` | `getName()`
    `Map<Class<? extends Spi>,List<ProviderFactory>>` | `getProviders()`
    `boolean` | `hasServices()`
    `boolean` | `hasThemeResources()`
    `boolean` | `hasThemes()`
    `boolean` | `isProvider()`
    `KeycloakDeploymentInfo` | `name(String name)`
    `KeycloakDeploymentInfo` | `services()`
    `KeycloakDeploymentInfo` | `themeResources()`
    `KeycloakDeploymentInfo` | `themes()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isProvider

          public boolean isProvider()

    - #### hasServices

          public boolean hasServices()

    - #### create

          public static KeycloakDeploymentInfo create()

    - #### name

          public KeycloakDeploymentInfo name(String name)

    - #### getName

          public String getName()

    - #### services

          public KeycloakDeploymentInfo services()

    - #### hasThemes

          public boolean hasThemes()

    - #### themes

          public KeycloakDeploymentInfo themes()

    - #### hasThemeResources

          public boolean hasThemeResources()

    - #### themeResources

          public KeycloakDeploymentInfo themeResources()

    - #### addProvider

          public void addProvider(Class<? extends Spi> spi,
                                  ProviderFactory factory)

    - #### getProviders

          public Map<Class<? extends Spi>,List<ProviderFactory>> getProviders()

Copyright © 2020 JBoss by Red Hat. All rights reserved.